#!/bin/sh
# THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# 5724-X89 (C) COPYRIGHT International Business Machines Corp., 2009
# All Rights Reserved * Licensed Materials - Property of IBM
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#
# A utility for changing the user password.
#
# usage: sh ConfigPWD.sh -username "username" -password "password"

while [ $# -ne 0 ]
do
	case $1 in
		-username*)
		username=$2
		;;
		-password*)
		password=$2
		;;
		*)
		;;
	esac
	shift 2
done

echo "$username:$password" | chpasswd
touch /usr/share/YaST2/include/configbasic/.ok

#callout to users who register for non-root password changes
#do this only if the ibmvmcoc rpm have been installed
if [ -d "/var/adm/ibmvmcoc-postinstall" ]
then 
  if [ $username != 'root' ] 
  then
    for i in `ls -x /var/adm/ibmvmcoc-postinstall/uidadds`; 
    do
      . /var/adm/ibmvmcoc-postinstall/uidadds/$i -username $username -password $password ;
    done
  fi
fi 
