#!/bin/sh
# THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# 5724-X89 (C) COPYRIGHT International Business Machines Corp., 2009
# All Rights Reserved * Licensed Materials - Property of IBM
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#
# A utility accepting the license
#
# usage: sh ConfigNTP.sh -ntp_0 "" -ntp_1 "" -ntp_2 "" -ntp_3 ""

if [ -f /etc/SuSE-release ]; then  
	NTP_CMD="/etc/init.d/ntp"
	NTP_CMD2="chkconfig ntp"
elif [ -f /etc/redhat-release ]; then 
	NTP_CMD="/etc/rc.d/init.d/ntpd"
	NTP_CMD2="chkconfig ntpd"
	if [ -f /etc/ntp.conf.org ]; then
		cp /etc/ntp.conf.org /etc/ntp.conf
	else
		cp /etc/ntp.conf /etc/ntp.conf.org 
	fi
	cp /etc/ntp.conf /opt/IBM/AE/AS/ntp.conf.org
	sed -i "s/server 0.rhel.pool.ntp.org/#server 0.rhel.pool.ntp.org/" /opt/IBM/AE/AS/ntp.conf.org
	sed -i "s/server 1.rhel.pool.ntp.org/#server 1.rhel.pool.ntp.org/" /opt/IBM/AE/AS/ntp.conf.org
	sed -i "s/server 2.rhel.pool.ntp.org/#server 2.rhel.pool.ntp.org/" /opt/IBM/AE/AS/ntp.conf.org
	echo "server 0.pool.ntp.org" >> /opt/IBM/AE/AS/ntp.conf.org
	echo "server 1.pool.ntp.org" >> /opt/IBM/AE/AS/ntp.conf.org
	echo "server 2.pool.ntp.org" >> /opt/IBM/AE/AS/ntp.conf.org
	echo "server 3.pool.ntp.org" >> /opt/IBM/AE/AS/ntp.conf.org
	chown virtuser /opt/IBM/AE/AS/ntp.conf.org
	chgrp users /opt/IBM/AE/AS/ntp.conf.org
	chmod 755 /opt/IBM/AE/AS/ntp.conf.org
fi

while [ $# -ne 0 ]
do
    case $1 in
    -ntp_0*)
     ntp_0=$2
     ;; 
    -ntp_1*)
     ntp_1=$2
     ;; 
    -ntp_2*)
     ntp_2=$2
     ;; 
    -ntp_3*)
     ntp_3=$2
     ;; 
    *)
    ;;
    esac
    shift 2
done

if [ -n '$ntp_0' ] ; then
    touch /usr/share/YaST2/include/configbasic/.ntpok >/dev/null 2>&1
fi

`cp /opt/IBM/AE/AS/ntp.conf.org /etc/ntp.conf`

sed -i "s/server 0.pool.ntp.org/server ${ntp_0}/" /etc/ntp.conf
sed -i "s/server 1.pool.ntp.org/server ${ntp_1}/" /etc/ntp.conf
sed -i "s/server 2.pool.ntp.org/server ${ntp_2}/" /etc/ntp.conf
sed -i "s/server 3.pool.ntp.org/server ${ntp_3}/" /etc/ntp.conf


$NTP_CMD2 on
$NTP_CMD start

exit 0
